# $Revision: 1.58.2.12 $, $Date: 2011/07/05 08:59:27 $
# TODO:
#	fix static libname (libopal_s.a)
#	IPv6 support requires IPv6 support in ptlib
#	x264+ffmpeg detection sucks - it doesn't work with --as-needed
#       SpanDSP FAX support requires t38_indicator symbol
#	MPEG4 rate control correction requires libavcodec sources
#       CAPI support
#
# WARNING: opal version should match Ekiga and ptlib versions
#	Recommendations: http://wiki.ekiga.org/index.php/Download_Ekiga_sources
#
# Conditional build:
%bcond_with	sip_fax_only	# Minimal build for t38modem + SIP
#
# Don't touch this! strip removes all symbols from library
%define		no_install_post_strip		1
#
Summary:	Open Phone Abstraction Library (aka OpenH323 v2)
Summary(pl.UTF-8):	Biblioteka Open Phone Abstraction Library (aka OpenH323 v2)
Name:		opal
Version:	3.6.8
Release:	11
License:	MPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/opal/3.6/%{name}-%{version}.tar.bz2
# Source0-md5:	a5f4ddc12c5aa34dc9407fe1daaf0f45
#Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.gz
Patch0:		%{name}-libname.patch
Patch1:		%{name}-mak_files.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-build.patch
Patch4:		%{name}-ffmpeg06.patch
Patch5:		%{name}-celt.patch
Patch6:		%{name}-ffmpeg08.patch
URL:		http://www.openh323.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	celt-devel >= 0.9
BuildRequires:	expat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	ptlib-devel >= 1:2.8.3
BuildConflicts:	ptlib-devel >= 1:2.10
BuildRequires:	sed >= 4.0
%if %{without sip_fax_only}
BuildRequires:	SDL-devel
BuildRequires:	ffmpeg-devel >= 0.7.1
BuildRequires:	libgsm-devel
BuildRequires:	libtheora-devel
BuildRequires:	libx264-devel
BuildRequires:	openssl-devel
BuildRequires:	speex-devel >= 1:1.1.5
BuildRequires:	unixODBC-devel
%endif
%requires_eq	ptlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_ld    -Wl,--as-needed

%description
The OPAL project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%description -l pl.UTF-8
Celem projektu OPAL jest stworzenie w pełni funkcjonalnej i
wyposażonej implementacji protokołu telekonferencyjnego ITU H.323,
który może być używany przez użytkowników prywatnych i komercyjnych
bez opłat.

%package devel
Summary:	Opal development files
Summary(pl.UTF-8):	Pliki dla developerów Opal
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	ptlib-devel

%description devel
Header files and libraries for developing applications that use
OPAL.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki konieczne do rozwoju aplikacji
używających OPAL.

%package static
Summary:	OPAL static libraries
Summary(pl.UTF-8):	Biblioteki statyczne OPAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OPAL static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OPAL.

%prep
%setup -q
#patch0 -p1
#patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPALDIR=`pwd`; export OPALDIR
OPAL_BUILD="yes"; export OPAL_BUILD
%{__aclocal}
%{__autoconf}
cd plugins
%{__aclocal}                                                                                                                                                 
%{__autoconf}
cd ..
# Run  grep '^OPAL_.*=' configure.ac|grep 'yes\|no'  to check current defaults
%configure \
%if %{with sip_fax_only}
	--enable-sip \
	--enable-t38 \
	--enable-fax \
	--enable-statistics \
	--disable-java \
	--disable-video \
	--disable-h323 \
	--disable-iax \
	--disable-h224 \
	--disable-h281 \
	--disable-sipim \
	--disable-rfc4103 \
	--disable-h450 \
	--disable-h460 \
	--disable-h501 \
	--disable-lid \
	--disable-ivr \
	--disable-rfc4175 \
	--disable-aec \
	--disable-g711plc \
	--disable-plugins
%else
	--enable-ixj
%endif


%{__make} %{?debug:debug}%{!?debug:opt} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CPLUS="%{__cxx}" \
	OPTCCFLAGS="%{rpmcppflags} %{rpmcflags} %{!?debug:-DNDEBUG} -I`pwd`/include"

%{__cp} -a */libopal* .
%if %{without sip_fax_only}
%{__make} -C samples/simple %{?debug:debug}%{!?debug:opt} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CPLUS="%{__cxx}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} `ptlib-config --ccflags` %{!?debug:-DNDEBUG} -I`pwd`/include" \
	LDFLAGS="%{rpmldflags} -L`pwd` -lpt -lopal"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%{!?with_sip_fax_only:install samples/simple/obj/simpleopal $RPM_BUILD_ROOT%{_bindir}}

# This needs to be done after 'make install'
sed -i -e \
's,^OPALDIR.*=.*$,OPALDIR\t\t\t\t= %{_libdir}/opal-%{version},;'\
's,^OPAL_SRCDIR.*=.*$,OPAL_SRCDIR\t\t\t= %{_usrsrc}/debug/opal-%{version},;'\
's,^OPAL_INCDIR.*=.*$,OPAL_INCDIR\t\t\t= %{_includedir}/opal,;'\
's,^OPAL_LIBDIR.*=.*$,OPAL_LIBDIR\t\t\t= %{_libdir},;' \
opal_defs.mak

install opal_{inc,defs}.mak $RPM_BUILD_ROOT%{_includedir}/opal

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%if %{without sip_fax_only}
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/opal-%{version}
%dir %{_libdir}/opal-%{version}/codecs
%dir %{_libdir}/opal-%{version}/codecs/audio
%dir %{_libdir}/opal-%{version}/codecs/video
%dir %{_libdir}/opal-%{version}/lid
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/celtcodec_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/g722_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/g726_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/gsm0610_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/gsmamrcodec_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/ilbc_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/ima_adpcm_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/lpc10_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/audio/speex_audio_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/h261-vic_video_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/h263-1998_video_pwplugin.so
#%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/h263-ffmpeg_video_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/h264_video_pwplugin_helper
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/h264_video_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/mpeg4-ffmpeg_video_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/codecs/video/theora_video_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/lid/ixj_lid_pwplugin.so
%attr(755,root,root) %{_libdir}/opal-%{version}/lid/vpb_lid_pwplugin.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/opal
%{_pkgconfigdir}/opal.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opal.spec,v $
Revision 1.58.2.12  2011/07/05 08:59:27  baggins
- rel 11

Revision 1.58.2.11  2011/07/01 08:41:52  lisu
- will build with ffmpeg-devel >= 0.7.1

Revision 1.58.2.10  2011/06/30 14:07:00  lisu
- try to fix build with newer ffmpeg

Revision 1.58.2.9  2011/06/28 17:55:27  arekm
- rel 10

Revision 1.58.2.8  2011/04/29 12:46:01  jajcus
- sample building fix for x86_64 (pass ptlib-specific CFLAGS)

Revision 1.58.2.7  2011/04/28 13:50:28  jajcus
- Release: 9
- ptlib BR updated
- BC: ptlib >= 2.10
- warning about version compatibilites

Revision 1.58.2.6  2011/03/29 07:11:33  arekm
- rel 8

Revision 1.58.2.5  2011/03/05 13:58:58  arekm
- rel 7; builds

Revision 1.58.2.4  2011/03/04 20:40:39  arekm
- cppflags, cxx

Revision 1.58.2.3  2011/02/27 19:18:09  arekm
- rel 6

Revision 1.58.2.2  2010/11/26 19:56:00  arekm
- rel 5; fix build with celt 0.9

Revision 1.58.2.1  2010/11/15 06:00:49  arekm
- rel 4

Revision 1.58  2010/08/25 10:53:38  hawk
- fix building with ffmpeg 0.6

Revision 1.57  2010/08/24 21:32:42  hawk
- release 2

Revision 1.56  2010/07/26 22:19:36  zbyniu
- up to 3.6.8; celt.patch obsoleted

Revision 1.55  2010/04/26 06:48:17  arekm
- rel 6; fix celt build

Revision 1.54  2010/04/25 20:31:31  arekm
- release 5

Revision 1.53  2010/04/11 06:28:21  arekm
- release 4

Revision 1.52  2010/02/19 10:19:38  mmazur
- fix paths in *.mak files

Revision 1.51  2010/02/19 09:48:24  mmazur
- revert last change

Revision 1.50  2010/02/19 09:42:10  mmazur
- add -devel br ptlib-devel >= 2.6.5-9; damn *.mak files

Revision 1.49  2010/02/19 09:28:23  mmazur
- rel 3
- added bcond sip_fax_only
- added missing *.mak files required for building by latest t38modem (ver 1.2)

Revision 1.48  2010/01/09 16:42:29  sparky
- BR: expat-devel, unixODBC-devel

Revision 1.47  2010/01/08 21:41:26  arekm
- release 2

Revision 1.46  2010/01/08 21:21:50  arekm
- up to 3.6.6

Revision 1.45  2009/09/14 00:19:39  wrobell
- ver. 3.6.4

Revision 1.44  2008/11/18 04:10:24  sls
- /requires_eq/s/pwlib/ptlib/

Revision 1.43  2008/11/18 03:59:39  sls
- packaged new plugins

Revision 1.42  2008/11/18 03:44:50  sls
- more BR
- filterout --as-needed enables ffmpeg+x264 detection
- updated TODO

Revision 1.41  2008/11/05 17:17:05  sls
- now devel requires ptlib-devel

Revision 1.40  2008/11/05 17:15:25  sls
- updated install + files sections

Revision 1.39  2008/11/05 17:08:37  sls
- added build.patch (build sections works, hooray!)
- more TODO

Revision 1.38  2008/11/05 16:36:54  sls
- added TODO

Revision 1.37  2008/11/05 16:29:10  sls
- added ac.patch
- __aclocal/__autoconf

Revision 1.36  2008/11/05 16:23:44  sls
- updated BR
- disabled (probably outdated) patches

Revision 1.35  2008/11/04 23:21:33  sls
- ver. 3.4.2 (NFY) for ekiga

Revision 1.34  2008/10/05 11:13:08  arekm
- release 2

Revision 1.33  2007/09/19 21:08:08  aflinta
- up to 2.2.11

Revision 1.32  2007/04/18 19:34:13  deejay1
- rel 3

Revision 1.31  2007/04/17 16:48:30  deejay1
- rel.2 for new libstdc++

Revision 1.30  2007/04/13 12:30:09  patrys
- 2.2.8

Revision 1.29  2007/04/13 11:21:46  patrys
- rel 2 for new pwlib

Revision 1.28  2007/03/11 17:44:13  rotom
- up to 2.2.6

Revision 1.27  2007/02/17 09:48:24  dzeus
- stricts deps

Revision 1.26  2007/02/16 19:28:32  rotom
- up to 2.2.5

Revision 1.25  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.23  2007/01/22 19:08:17  dzeus
- up to 2.2.4

Revision 1.22  2006/12/23 11:45:37  czarny
- rel 2 to rebuild with new pwlib

Revision 1.21  2006/11/12 19:35:47  rotom
- up to 2.2.3

Revision 1.20  2006/08/27 16:06:32  rotom
- up to 2.2.2

Revision 1.19  2006/08/09 11:34:02  arekm
- rel 3

Revision 1.18  2006/05/24 08:46:53  qboosh
- missing digit

Revision 1.17  2006/05/18 20:36:05  darekr
- BR sed 4.0

Revision 1.16  2006/05/18 18:40:26  baggins
- fixed mak on x8664

Revision 1.15  2006/05/18 18:37:05  baggins
- release 2
- fixed install on x8664

Revision 1.14  2006/05/18 17:55:47  baggins
- don't strip
- release 1

Revision 1.13  2006/05/18 17:30:25  baggins
- typo

Revision 1.12  2006/05/18 17:29:25  baggins
- RSN

Revision 1.11  2006/05/18 16:52:31  baggins
- almost...

Revision 1.10  2006/05/17 17:57:56  baggins
- WIP

Revision 1.9  2006/04/11 22:27:16  wolvverine
- clean

Revision 1.8  2006/03/25 21:49:50  wolvverine
- up to 2.2.1
- NFY

Revision 1.7  2006/03/16 11:11:38  glen
- why was the url changed?

Revision 1.6  2006/03/16 09:53:26  wolvverine
- NFY
- new version 2.1.3 RC1
- bug g++ ???

Revision 1.5  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.4  2006/02/17 14:12:24  aflinta
- up to 2.1.3

Revision 1.3  2006/02/05 13:36:43  aflinta
- first try to build new version, opal_inc.mak needs fixes

Revision 1.2  2003/05/25 05:51:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/24 12:39:11  blues
- initial release - does not build - this will in the future replace
  openh323 (more protocols supported, i.e. sip).
  There are problems propably with gcc2 (I don't have gcc3)
